[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| StopAfterVoteCount Class Reference |

`#include <vigra/random_forest/rf_earlystopping.hxx>`

Inheritance diagram for StopAfterVoteCount:

List of all members.

## Public Member Functions
| StopAfterVoteCount (double proportion)

## Detailed Description

Stop predicting after a certain amount of votes exceed certain proportion. case unweighted voting: stop if the leading class exceeds proportion * SB::tree_count_ case weighted voting: stop if the leading class exceeds proportion * msample_ * SB::tree_count_ ; (maximal number of votes possible in both cases)

## Constructor & Destructor Documentation

StopAfterVoteCount | ( | double | proportion | ) |

Constructor

Parameters:

  proportion | specify proportion to be used.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_earlystopping.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)